Skip to main content
GET
/
vq
/
fundamentals
/
{symbol}
/
balance-sheet
Get balance sheet
curl --request GET \
  --url https://api.vectrade.io/v1/vq/fundamentals/{symbol}/balance-sheet \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "date": "2023-12-25",
      "period": "annual",
      "totalAssets": 123,
      "totalLiabilities": 123,
      "totalEquity": 123,
      "cash": 123,
      "totalDebt": 123,
      "netDebt": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.vectrade.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

symbol
string
required

Query Parameters

period
enum<string>
default:annual
Available options:
annual,
quarterly
limit
integer
default:4

Response

Balance sheet data

data
object[]